Name:		fsarchiver
Version:	0.8.7
Release:	%mkrel 1

Summary:	Safe and flexible file-system backup/deployment tool
Group:		Archiving/Backup
License:	GPLv2
URL:		http://www.fsarchiver.org
Source0:  	https://github.com/fdupoux/fsarchiver/releases/download/%{version}/fsarchiver-%{version}.tar.xz
BuildRequires:	e2fsprogs
BuildRequires:	e2fsprogs-devel >= 1.41.4
BuildRequires:	libgcrypt-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(liblz4)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libzstd)

%description
FSArchiver is a system tool that allows you to save the contents of a
file-system to a compressed archive file. The file-system can be restored
on a partition which has a different size and it can be restored on a
different file-system. Unlike tar/dar, FSArchiver also creates the
file-system when it extracts the data to partitions. Everything is
checksummed in the archive in order to protect the data. If the archive
is corrupt, you just loose the current file, not the whole archive.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make_build

%install
rm -rf %buildroot
%make_install

%files
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}*

%changelog
* Sat Mar 25 2023 tex - 0.8.7-1pclos2023
- new version

* Wed Sep 21 2022 tex - 0.8.6-2pclos2022
- rebuild against updates

* Tue Sep 20 2022 tex - 0.8.6-1pclos2022
- new version
